commit:     27258bacad459a75b5c4b16a904e648675d96a9b
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Mon May 14 21:24:19 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon May 14 22:34:03 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27258bac

app-shells/hstr: version bump.

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 app-shells/hstr/Manifest         |  1 +
 app-shells/hstr/hstr-1.25.ebuild | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/app-shells/hstr/Manifest b/app-shells/hstr/Manifest
index 22040ad4515..e6d7a596a7e 100644
--- a/app-shells/hstr/Manifest
+++ b/app-shells/hstr/Manifest
@@ -1,2 +1,3 @@
 DIST hstr-1.23.tar.gz 47239 BLAKE2B 
dec630f1e8161edc40544561dd85ea1c128a6704eeeaeb39eb6987bdc096a070c9e242b938bed01b80e208aadf08606518a007919d353f76ff1c36e7906aeabb
 SHA512 
234c72587d0492d788b1c001b5e53f74820790a9ebe670e8abd28cd82fc7db65996d54160e675055be54cab110686838fe6e36dbefe0fbef9175613633bc5910
 DIST hstr-1.24.tar.gz 47523 BLAKE2B 
6e84ea6bd26cb0745f48e5f8701d4d956ae4b83ed825398fdc401fd0b7f13eb9874de62d438e71a57fa048a535a538504e7fabd7b4a698665a10a901e0a570e6
 SHA512 
fe522374e33150007c0bbe5d11d38e63c355519350f5777c8787aae62826553b61a358185994d196d015590649fb3accf75948e340233459409d594e51874658
+DIST hstr-1.25.tar.gz 48926 BLAKE2B 
ee27adaabcf8c28d10c2188d9570e92609192712e54e73a7904dc32e02805e564d4abcad60d506a961c0d9266c62a4fe1b4ef42171efd8f60d1234bbc9f4921d
 SHA512 
83c6250b1627bf185a572a7278a23f1e779d8f926f62fe341644f0d26b4f9daac8d904a5fe5af63e963a2ec15b7d98ee229bd5f812ee0d167bd2a12ee2e57467

diff --git a/app-shells/hstr/hstr-1.25.ebuild b/app-shells/hstr/hstr-1.25.ebuild
new file mode 100644
index 00000000000..dbe778861aa
--- /dev/null
+++ b/app-shells/hstr/hstr-1.25.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Shell history suggest box"
+HOMEPAGE="https://github.com/dvorka/hstr http://www.mindforger.com";
+SRC_URI="https://github.com/dvorka/hstr/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64 ~x86 ~amd64-fbsd"
+
+RDEPEND="
+       sys-libs/ncurses:0="
+
+DEPEND="
+       ${RDEPEND}
+       virtual/pkgconfig"
+
+DOCS=( CONFIGURATION.md README.md )
+PATCHES=( "${FILESDIR}/${PN}-1.23-tinfo.patch" )
+
+src_prepare() {
+       default
+       sed \
+               -e 's:-O2::g' \
+               -i src/Makefile.am || die
+       eautoreconf
+}

Reply via email to